# Method: accounts.omnichannelSettings.lfpProviders.linkLfpProvider

- [HTTP request](https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.omnichannelSettings.lfpProviders/linkLfpProvider#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.omnichannelSettings.lfpProviders/linkLfpProvider#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.omnichannelSettings.lfpProviders/linkLfpProvider#body.request_body)
  - [JSON representation](https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.omnichannelSettings.lfpProviders/linkLfpProvider#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.omnichannelSettings.lfpProviders/linkLfpProvider#body.response_body)
  - [JSON representation](https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.omnichannelSettings.lfpProviders/linkLfpProvider#body.LinkLfpProviderResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.omnichannelSettings.lfpProviders/linkLfpProvider#body.aspect)
- [Try it!](https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.omnichannelSettings.lfpProviders/linkLfpProvider#try-it)

Link the specified merchant to a LFP provider for the specified country.

### HTTP request

`POST https://merchantapi.googleapis.com/accounts/v1/{name=accounts/*/omnichannelSettings/*/lfpProviders/*}:linkLfpProvider`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The name of the LFP provider resource to link. Format: `accounts/{account}/omnichannelSettings/{omnichannelSetting}/lfpProviders/{lfpProvider}`. The `lfpProvider` is the LFP provider ID. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "externalAccountId": string } ``` |

| Fields ||
|---|---|
| `externalAccountId` | `string` Required. The external account ID by which this merchant is known to the LFP provider. |

### Response body

Response message for the lfpProviders.linkLfpProvider method.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "response": { object } } ``` |

| Fields ||
|---|---|
| `response` | `object` Empty response. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/content`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).